Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: LMMS word niet geupdate ?

  1. #1

    Default LMMS word niet geupdate ?

    Ik gebruik al een tijdje lmms.

    Nu zag ik dat er een nieuwere versie is.
    Maar die schijnt er niet voor openSUSE te zijn ?

    http://lmms.sourceforge.net/

    Versie 0.4.15 is wat ik nu heb.

    Moet ik daarvoor soms bij packman zijn?

    http://packman.links2linux.org/package/lmms
    (maar daar staat dus alleen de versie die ik al heb)

    2014-03-21: LMMS 1.0.0 has been released! Available for Linux and Windows

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,795

    Default Re: LMMS word niet geupdate ?

    openSUSE zelf (dus de OSS en non-OSS repos plus de bijbehorende Update repos) gaan nooit naar een nieuwe versie gedurende een openSUSE versie. Nieuwe versies van software komen alleen met een nieuwe versie van openSUSE.

    Alleen Security en belangrijke (Recommended) updates worden op de huidige pakketten aangebracht en via de Upddate repos geleverd.

    Packman doet dat anders, maar ik ben er niet zeker van dat ze "zo maar" een nieuwe versie van iets er op zetten. Tenslotte moet die nieuwe versie goed met alle andere packketten samenwerken. Dat is trouwens ook de reden dat openSUSE dat niet doet. Een openSUSE versie is als geheel getest en daar moet je niet zo maar iets nieuws in hangen.

    Stabiliteit is in openSUSE belangrijker dat nieuwigheid.
    Henk van Velden

  3. #3

    Default Re: LMMS word niet geupdate ?

    Bedankt.

    Dan heb ik dus de keuze uit:

    Niet de nieuwste lmms gebruiken.
    Zelf compileren.
    Of thumbleweed nemen.

    Misschien ga ik wel voor optie twee.

    Tenslotte heb ik al eens een spel, (Doom3) zelf gecompileerd.
    Eerst maar eens kijken of er ook uitleg bij de tar zit.

    Het was wel wat werk, maar echt moeilijk was dat compileren niet.
    En als het met make gaat dan heb ik die al geïnstalleerd.
    En als me geheugen me niet in de steek laat, kan ik met cmake testen of ik alle benodigd heden heb.

    Toch twijfel ik ik niet makkelijker naar thumbleweed overstap.
    Maar ik ben daar een beetje huiverig voor in verband met de amd catalyst drivers die ik gebruik.

    keuzes keuzes, soms is dat lastig.

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,795

    Default Re: LMMS word niet geupdate ?

    Je eerste en belangrijkste keuze is natuurlijk: heb ik die nieuwe versie echt nodig. Alleen jij kunt uitmaken of dat een belangrijke fout/ergernis opheft of voor jouw gebruik essentiële nieuwe mogelijkheden oplevert.

    Overigens, als hij ook op Packman staat zal die dus meer formaten verwerken dan de OSS versie (zoals alle Packman multi-media applicaties meer en niet gebroken codecs leveren).

    Van Tumbleweed weet ik te weinig om te kunnen zeggen of die zo'n niewere versie heel snel toevoegen.
    Henk van Velden

  5. #5

    Default Re: LMMS word niet geupdate ?

    Ik zag een youtube filmpje, en er zijn drie zaken waarom ik die nieuwere versie wil.

    Er is een nieuwe synthesizer bijgekomen, en de automation editor is aangepast.

    Met dat laaste kan je de knoppen van een synthesizer, bedienen.
    Dat was eerst nog al een gekloot omdat je een grafiek moet tekenen.

    Als derde reden, gaat LMMS er bij elke release sterk op vooruit.

    Hoewel ik niet weet of dit aan lmms ligt, heb ik regelmatig dat het geluid, instort.
    lmms moet dan afgesloten en opnieuw opgestart worden, en soms zelf moet ik me zelf afmelden en opnieuw aanmelden om dit probleem op te lossen.

    Lmms adviseert ook eigenlijk om jack te gebruiken ( jack audio) en zeker geen pulse audio.

    Omdat ik ook een gamer ben en dus steam geïnstalleerd heb, ben ik een beetje bang dat ik met jack problemen krijg met me games.

    Ik heb nu zeker het geld niet, maar ik heb al vaak gedacht aan een tweede pc voor lmms.
    Dan stop ik daar een professionele geluidskaart in, installeer jack en gaan met die banaan.

    Nu ik dit typ, misschien moet ik het gewoon eens proberen met jack.
    Ik heb dat al eerder gebruikt op openSUSE, al is dat inmiddels jaren geleden.

    https://www.youtube.com/watch?v=g7SkpK2JFE8

    Hier een simpel fimpje over wat lmms is.
    https://www.youtube.com/watch?v=kUTyPi4Tuac

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,795

    Default Re: LMMS word niet geupdate ?

    Leuk verhaal, maar ik vroeg niet om mij er van te overtuigen dat je graag de nieuwe versie wilde gebruiken. Ook niet of je mij er van kan overtuigen dat ik de nieuwe versie zou willen gebruiken als ik jouw belangstelling voor deze tak van computer sport zou hebben. Ik adviseerde om zelf de voor- en nadelen af te wegen.

    Ik praat alleen in algemene termen over nieuwere versies van pakketen. Hoe dat gaat bij openSUSE. Het is overigens mogelijk dat iemand (met dezelfde soort belangstelling als jij) op OBS de nieuwe versie gaat zetten. Ik weet niet hoe lang die nieuwe versie al bestaat. En anders, inderdaad zelf bouwen. Ik begrijp dat je al eens zoiets gedaan hebt. Dan weet je ook dat dat soms probleemloos gaat en soms niet.
    Henk van Velden

  7. #7

    Default Re: LMMS word niet geupdate ?

    Ik loop vast bij het compileren.

    Code:
    -- Looking for include file process.h - not found                                                                                                                                                                                            
    -- Looking for include file locale.h                                                                                                                                                                                                         
    -- Looking for include file locale.h - found                                                                                                                                                                                                 
    CMake Error at /usr/share/cmake/Modules/FindQt4.cmake:1382 (message):                                                                                                                                                                        
      Found unsuitable Qt version "" from NOTFOUND, this code requires Qt 4.x                                                                                                                                                                    
    Call Stack (most recent call first):                                                                                                                                                                                                         
      CMakeLists.txt:103 (FIND_PACKAGE)                                                                                                                                                                                                                                                                                                                                                                                                                                         
    -- Configuring incomplete, errors occurred!
    Ik kan ook in yast niet goed vinden welke qt versie ik heb.

    Wat ik wel vond was:
    ibqt4 - C++ Program Library, Core Components

    Maar dat is blijkbaar niet het juiste bestand?

    De handleiding die ik volg:
    https://github.com/LMMS/lmms/wiki/Compiling-lmms

  8. #8

    Default Re: LMMS word niet geupdate ?

    Ik miste de Qt4 devel files.

    Helaas mis ik nog veel meer, morgen verder.

  9. #9

    Default Re: LMMS word niet geupdate ?

    http://software.opensuse.org/package...arch_term=lmms

    inmiddels is daar 1.02 gearriveerd.

    ( klikken op show other versions )

  10. #10
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: LMMS word niet geupdate ?

    Quote Originally Posted by Gps2010 View Post
    http://software.opensuse.org/package...arch_term=lmms

    inmiddels is daar 1.02 gearriveerd.

    ( klikken op show other versions )
    Da's mooi, maar ik weet niet of-ie daar lang blijft. LMMS heeft denk ik niet voor niets altijd al in de Packman repos gezeten. Er was al eerder iemand die LMMS pakketten maakte, maar die moesten verwijderd worden om juridische redenen. Codec kwestie, als ik 't me goed herinner.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •